| nRF5 SDK v12.0.0 |

Choose documentation: | nRF5 SDK | S130 SoftDevice API | S132 SoftDevice API | S212 SoftDevice API | S332 SoftDevice API

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Data Structures | Functions
Specific Operations Control Point
Continuous Glucose Monitoring Service

Continuous Glucose Monitoring Service SOCP module. More...

## Data Structures
struct | ble_cgms_socp_value_t
| Specific Operation Control Point value. More...

## Functions
ret_code_t | cgms_socp_char_add (nrf_ble_cgms_t *p_cgms)
| Function for adding a characteristic for the Specific Operations Control Point. More...
void | cgms_socp_on_rw_auth_req (nrf_ble_cgms_t *p_cgms, ble_gatts_evt_rw_authorize_request_t *p_auth_req)
| Function for handling BLE_GATTS_EVT_RW_AUTHORIZE_REQUEST events. More...
void | cgms_socp_on_tx_complete (nrf_ble_cgms_t *p_cgms)
| Function for handling BLE_EVT_TX_COMPLETE events. More...

## Detailed Description

Continuous Glucose Monitoring Service SOCP module.

This module implements parts of the Continuous Glucose Monitoring that relate to the Specific Operations Control Point. Events are propagated to this module from Continuous Glucose Monitoring Service using cgms_socp_on_rw_auth_req and cgms_socp_on_tx_complete.

## Function Documentation

ret_code_t cgms_socp_char_add | ( | nrf_ble_cgms_t * | p_cgms | ) |

Function for adding a characteristic for the Specific Operations Control Point.

Parameters

  [in] | p_cgms | Instance of the CGM Service.

Return values

  NRF_SUCCESS | If the characteristic was successfully added.

Returns
  If functions from other modules return errors to this function, the SoftDevice Global Error Codes are propagated.

void cgms_socp_on_rw_auth_req | ( | nrf_ble_cgms_t * | p_cgms,
|  | ble_gatts_evt_rw_authorize_request_t * | p_auth_req
| ) |  |

Function for handling BLE_GATTS_EVT_RW_AUTHORIZE_REQUEST events.

Parameters

  [in] | p_cgms | Instance of the CGM Service.
  [in] | p_auth_req | Authorize request event to be handled.

void cgms_socp_on_tx_complete | ( | nrf_ble_cgms_t * | p_cgms | ) |

Function for handling BLE_EVT_TX_COMPLETE events.

Parameters

  [in] | p_cgms | Instance of the CGM Service.